POST /v1/admin/erasure
Service: community · operationId: (none)
Hard-delete a user’s community posts, comments, likes, and subscriptions
Required scopes
(no scope declared — review service config)
Request body
{
"type": "object",
"properties": {
"request_id": {
"type": "string",
"minLength": 1
},
"user_id": {
"type": "string",
"minLength": 1
}
},
"required": [
"request_id",
"user_id"
]
}Responses
200 User community data erased or already absent
{
"type": "object",
"properties": {
"status": {
"type": "string",
"enum": [
"deleted",
"not_present"
]
},
"rows_affected": {
"type": "object",
"additionalProperties": {
"type": "integer"
}
}
},
"required": [
"status",
"rows_affected"
]
}500 Erasure failed
{
"type": "object",
"properties": {
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"error",
"message"
]
}Example
curl -X POST https://community.platform.loop.health/v1/admin/erasure \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{ ... }'Related
services/community— service overview- All endpoints — directory across services
- Auth model — how scopes are enforced